Skip to main content
GET
/
v1
/
notes
List
curl --request GET \
  --url https://{defaultHost}/v1/notes \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/notes"
  },
  "data": [
    {
      "id": "59ef3b0c-5a8a-45af-bc2f-5bf0241baf17",
      "object": "note",
      "body": "This is the body of note.",
      "metadata": {},
      "notable_id": "ff4f88f5-676d-40a6-b944-14cb436124c0",
      "notable_type": "customer",
      "created_at": 1776176545,
      "updated_at": 1776176545
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

notable_id
string

The ID of the object that this note belongs to.

notable_type
string

The type of object that this note belongs to – one of customer, order, or subscription.

page
integer

The page of items you want returned.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.